<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar\Vertrag\VertragMail\Akzeptiert;

class VertragAkzeptiertMailPresenter extends \Kufer\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar\Vertrag\VertragMail\VertragMailPresenter
{
  protected function getView()
  {
    return new VertragAkzeptiertMailView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewmodel = new VertragAkzeptiertMailViewModel();

    return $this->setViewmodelAttributes($viewmodel);
  }
}